%global __requires_exclude pythonegg\\(3\\)\\(ipaddress|pythonegg\\(3\\)\\(backports.ssl-match-hostname

%define pypi_name docker-pycreds

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 11
Summary:        Python bindings for the docker credentials store API
License:        Apache Software License
Group:          Development/Python
URL:            https://www.docker.com/
Source0:        https://github.com/shin-/dockerpy-creds/archive/%{version}.tar.gz
BuildArch:      noarch

%description
A Python interface to docker credentials store API

%package -n     python3-%{pypi_name}
Summary:        An API client for docker written in Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       docker

%description -n python3-%{pypi_name}
A Python 3 interface to docker credentials store API

%prep
%setup -q -n dockerpy-creds-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dockerpycreds

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.4.0-11.mga10
+ Revision: 2239851
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.4.0-10.mga10
+ Revision: 2156927
- rebuild for python3.13

* Wed Feb 28 2024 papoteur <papoteur> 0.4.0-9.mga10
+ Revision: 2044867
- rebuild for python 3.12
- use pyproject
- Mass Rebuild - Python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.4.0-7.mga9
+ Revision: 1832190
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.4.0-6.mga9
+ Revision: 1785054
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.4.0-5.mga9
+ Revision: 1732971
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4.0-4.mga8
+ Revision: 1533673
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 0.4.0-3.mga8
+ Revision: 1444887
- rebuild for python-3.8

* Wed Sep 04 2019 wally <wally> 0.4.0-2.mga8
+ Revision: 1437266
- add python_provide
- properly remove python2 support
+ bcornec <bcornec>
- remove python2 build

* Tue Jan 08 2019 shlomif <shlomif> 0.4.0-1.mga7
+ Revision: 1352473
- Rebuild for python3 3.7

* Tue Oct 09 2018 bcornec <bcornec> 0.3.0-1.mga7
+ Revision: 1319144
- Update to upstream 0.3.0 of python-docker-pycreds

* Thu Sep 20 2018 umeabot <umeabot> 0.2.2-3.mga7
+ Revision: 1288781
- Mageia 7 Mass Rebuild

* Tue Mar 06 2018 bcornec <bcornec> 0.2.2-2.mga7
+ Revision: 1206907
- quiet
- Update to upstream python-docker-pycreds 0.2.2

* Sat Aug 05 2017 pterjan <pterjan> 0.2.1-2.mga7
+ Revision: 1135398
- Rebuild for python 3.6

* Wed Nov 23 2016 bcornec <bcornec> 0.2.1-1.mga6
+ Revision: 1069368
- Import python-docker-pycreds for docker-compose 1.9.0
- Created package structure for python-docker-pycreds.

